File::HomeDir::Darwin(3)

NAME
File::HomeDir::Darwin - Find your home and other directories on Darwin (OS X)

DESCRIPTION
This module provides Mac OS X specific file path for determining common user directories in pure perl, by just using $ENV{HOME} without Carbon nor Cocoa API calls. In normal usage this module will always be used via File::HomeDir.

SYNOPSIS
  use File::HomeDir;

  # Find directories for the current user
  $home    = File::HomeDir->my_home;      # /Users/mylogin
  $desktop = File::HomeDir->my_desktop;   # /Users/mylogin/Desktop
  $docs    = File::HomeDir->my_documents; # /Users/mylogin/Documents
  $music   = File::HomeDir->my_music;     # /Users/mylogin/Music
  $pics    = File::HomeDir->my_pictures;  # /Users/mylogin/Pictures
  $videos  = File::HomeDir->my_videos;    # /Users/mylogin/Movies
  $data    = File::HomeDir->my_data;      # /Users/mylogin/Library/Application Support